package com.unipi.talepis.singletons;

public class SingletonLazy2 {
    private static SingletonLazy2 instance;
    private SingletonLazy2(){}
    public static SingletonLazy2 getInstance(){
        //Double check locking
        if (instance==null) {
            synchronized (SingletonLazy2.class) {
                if (instance == null) {
                    instance = new SingletonLazy2();
                }
            }
        }
        return instance;
    }
}
