package com.unipi.talepis.singletons;

public class SingletonOnDemand {
    private SingletonOnDemand(){}
    private static class SingletonHolder{
        static SingletonOnDemand singletonOnDemand =
                new SingletonOnDemand();
    }
    public static SingletonOnDemand getInstance(){
        return SingletonHolder.singletonOnDemand;
    }
}
